$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.517-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.517-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D424794611871FB5A665635BAE09B6DED3B8E0CC9F964BE3DD417BCD755AB8D6'
  checksumType = 'sha256'
  checksum64 = 'D424794611871FB5A665635BAE09B6DED3B8E0CC9F964BE3DD417BCD755AB8D6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.517-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
